diff -pruN bash-completion-2.15.0.old/completions/lintian bash-completion-2.15.0/completions/lintian
--- bash-completion-2.15.0.old/completions/lintian	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/lintian	2024-11-30 21:20:52.270403920 +0100
@@ -9,7 +9,7 @@ _comp_cmd_lintian__tags()
     if [[ $cur == *, ]]; then
         search=${cur//,/ }
         for item in $search; do
-            tags=$(command sed -e "s/\<$item\>//g" <<<"$tags")
+            tags=$(command gsed -e "s/\<$item\>//g" <<<"$tags")
         done
         _comp_compgen -aR -- -W "$tags"
     elif [[ $cur == *,* ]]; then
@@ -29,11 +29,11 @@ _comp_cmd_lintian__checks()
     if [[ $cur == *, ]]; then
         search=${cur//,/ }
         for item in $search; do
-            match=$(command grep -nE "^(Check-Script|Abbrev): $item$" \
+            match=$(command ggrep -nE "^(Check-Script|Abbrev): $item$" \
                 "${check_files[@]}" | cut -d: -f1)
             todisable=$(_comp_awk '/^(Check-Script|Abbrev)/ { print $2 }' "$match")
             for name in $todisable; do
-                checks=$(command sed -e "s/\<$name\>//g" <<<"$checks")
+                checks=$(command gsed -e "s/\<$name\>//g" <<<"$checks")
             done
         done
         _comp_compgen -aR -- -W "$checks"
@@ -54,7 +54,7 @@ _comp_cmd_lintian__infos()
     if [[ $cur == *, ]]; then
         search=${cur//,/ }
         for item in $search; do
-            infos=$(command sed -e "s/\<$item\>//g" <<<"$infos")
+            infos=$(command gsed -e "s/\<$item\>//g" <<<"$infos")
         done
         _comp_compgen -aR -- -W "$infos"
     elif [[ $cur == *,* ]]; then
diff -pruN bash-completion-2.15.0.old/completions/lvm bash-completion-2.15.0/completions/lvm
--- bash-completion-2.15.0.old/completions/lvm	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/lvm	2024-11-30 21:20:52.302201964 +0100
@@ -8,25 +8,25 @@ _comp_cmd_lvm__filedir()
 _comp_cmd_lvm__volumegroups()
 {
     _comp_compgen_split -- "$(vgscan 2>/dev/null |
-        command sed -n -e 's|.*Found.*"\(.*\)".*$|\1|p')"
+        command gsed -n -e 's|.*Found.*"\(.*\)".*$|\1|p')"
 }
 
 _comp_cmd_lvm__physicalvolumes_all()
 {
     _comp_compgen_split -- "$(pvscan 2>/dev/null |
-        command sed -n -e 's|^.*PV \([^ ]*\) .*|\1|p')"
+        command gsed -n -e 's|^.*PV \([^ ]*\) .*|\1|p')"
 }
 
 _comp_cmd_lvm__physicalvolumes()
 {
     _comp_compgen_split -- "$(pvscan 2>/dev/null |
-        command sed -n -e 's|^.*PV \(.*\) VG.*$|\1|p')"
+        command gsed -n -e 's|^.*PV \(.*\) VG.*$|\1|p')"
 }
 
 _comp_cmd_lvm__logicalvolumes()
 {
     _comp_compgen_split -- "$(lvscan 2>/dev/null |
-        command sed -n -e "s|^.*'\(.*\)'.*$|\1|p")"
+        command gsed -n -e "s|^.*'\(.*\)'.*$|\1|p")"
     if [[ $cur == /dev/mapper/* ]]; then
         _comp_compgen -a filedir
         local i
diff -pruN bash-completion-2.15.0.old/completions/makepkg bash-completion-2.15.0/completions/makepkg
--- bash-completion-2.15.0.old/completions/makepkg	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/makepkg	2024-11-30 21:20:51.950959352 +0100
@@ -14,7 +14,7 @@ _comp_cmd_makepkg__slackware()
     esac
 
     if [[ $cur == -* ]]; then
-        _comp_compgen_help - <<<"$("$1" | command sed -e "s/^options://")"
+        _comp_compgen_help - <<<"$("$1" | command gsed -e "s/^options://")"
         return
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/mcrypt bash-completion-2.15.0/completions/mcrypt
--- bash-completion-2.15.0.old/completions/mcrypt	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mcrypt	2024-11-30 21:20:52.125208331 +0100
@@ -26,7 +26,7 @@ _comp_cmd_mcrypt()
             ;;
         -h | --hash)
             _comp_compgen_split -- "$("$1" --list-hash 2>/dev/null |
-                command sed -e 1d)"
+                command gsed -e 1d)"
             return
             ;;
         -k | -s | --key | --keysize)
diff -pruN bash-completion-2.15.0.old/completions/medusa bash-completion-2.15.0/completions/medusa
--- bash-completion-2.15.0.old/completions/medusa	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/medusa	2024-11-30 21:20:52.456455467 +0100
@@ -16,7 +16,7 @@ _comp_cmd_medusa()
             ;;
         -*M)
             _comp_compgen_split -- "$("$1" -d | _comp_awk '/^ +\+/ {print $2}' |
-                command sed -e 's/\.mod$//')"
+                command gsed -e 's/\.mod$//')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/mplayer bash-completion-2.15.0/completions/mplayer
--- bash-completion-2.15.0.old/completions/mplayer	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mplayer	2024-11-30 21:20:52.437715736 +0100
@@ -4,8 +4,8 @@ _comp_cmd_mplayer__options()
 {
     cur=${cur%\\}
     _comp_compgen_split -- "$("$1" -noconfig all "$2" help 2>/dev/null |
-        command sed -e '/^Available/,/^$/!d' -e '/^Available/d' | _comp_awk '{print $1}' |
-        command sed -e 's/:$//' -e 's/^'"${2#-}"'$//' -e 's/<.*//')"
+        command gsed -e '/^Available/,/^$/!d' -e '/^Available/d' | _comp_awk '{print $1}' |
+        command gsed -e 's/:$//' -e 's/^'"${2#-}"'$//' -e 's/<.*//')"
 }
 
 _comp_cmd_mplayer()
@@ -54,7 +54,7 @@ _comp_cmd_mplayer()
             ;;
         -subcp | -msgcharset)
             local cp
-            if _comp_split cp "$(iconv --list 2>/dev/null | command sed -e "s@//@@;" 2>/dev/null)"; then
+            if _comp_split cp "$(iconv --list 2>/dev/null | command gsed -e "s@//@@;" 2>/dev/null)"; then
                 if [[ $cur == "${cur,,}" ]]; then
                     _comp_compgen -- -W '"${cp[@],,}"'
                 else
@@ -267,7 +267,7 @@ _comp_cmd_mplayer()
     case $cur in
         -*)
             _comp_compgen_split -- "$("$cmd" -noconfig all -list-options 2>/dev/null |
-                command sed -ne "1,/^[[:space:]]*Name/d" \
+                command gsed -ne "1,/^[[:space:]]*Name/d" \
                     -e "s/^[[:space:]]*/-/" -e "s/[[:space:]:].*//" \
                     -e "/^-\(Total\|.*\*\)\{0,1\}$/!p")"
             ;;
diff -pruN bash-completion-2.15.0.old/completions/msynctool bash-completion-2.15.0/completions/msynctool
--- bash-completion-2.15.0.old/completions/msynctool	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/msynctool	2024-11-30 21:20:52.375210452 +0100
@@ -8,22 +8,22 @@ _comp_cmd_msynctool()
     case $words in
         --configure)
             _comp_compgen_split -- "$("$1" --showgroup "$prev" |
-                _comp_awk '/^Member/ {print $2}' | command sed -e 's/:$//')"
+                _comp_awk '/^Member/ {print $2}' | command gsed -e 's/:$//')"
             return
             ;;
         --addmember)
-            _comp_compgen_split -- "$("$1" --listplugins | command sed -e 1d)"
+            _comp_compgen_split -- "$("$1" --listplugins | command gsed -e 1d)"
             return
             ;;
     esac
 
     case $prev in
         --configure | --addgroup | --delgroup | --showgroup | --sync | --addmember)
-            _comp_compgen_split -- "$("$1" --listgroups | command sed -e 1d)"
+            _comp_compgen_split -- "$("$1" --listgroups | command gsed -e 1d)"
             return
             ;;
         --showformats | --filter-objtype | --slow-sync)
-            _comp_compgen_split -- "$("$1" --listobjects | command sed -e 1d)"
+            _comp_compgen_split -- "$("$1" --listobjects | command gsed -e 1d)"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/mutt bash-completion-2.15.0/completions/mutt
--- bash-completion-2.15.0.old/completions/mutt	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mutt	2024-11-30 21:20:52.451907770 +0100
@@ -67,7 +67,7 @@ _comp_cmd_mutt__get_conffiles__visit()
     conffiles+=("$1")
 
     local -a newconffiles
-    _comp_split newconffiles "$(command sed -n 's|^source[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' "$1")" ||
+    _comp_split newconffiles "$(command gsed -n 's|^source[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' "$1")" ||
         return 0
 
     local file REPLY
@@ -90,7 +90,7 @@ _comp_cmd_mutt__aliases()
     local REPLY
     _comp_cmd_mutt__get_conffiles "$muttrc" || return 0
     conffiles=("${REPLY[@]}")
-    _comp_compgen -a split -- "$(command sed -n 's|^alias[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' \
+    _comp_compgen -a split -- "$(command gsed -n 's|^alias[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*$|\1|p' \
         "${conffiles[@]}")"
 }
 
@@ -101,7 +101,7 @@ _comp_cmd_mutt__query()
     [[ $cur ]] || return 0
     local muttcmd=${words[0]}
 
-    local querycmd="$("$muttcmd" -Q query_command 2>/dev/null | command sed -e 's|^query_command=\"\(.*\)\"$|\1|' -e 's|%s|'"$cur"'|')"
+    local querycmd="$("$muttcmd" -Q query_command 2>/dev/null | command gsed -e 's|^query_command=\"\(.*\)\"$|\1|' -e 's|%s|'"$cur"'|')"
     if [[ $querycmd ]]; then
         local REPLY
         _comp_expand_tilde "$querycmd"
@@ -109,7 +109,7 @@ _comp_cmd_mutt__query()
         # generate queryresults:
         # $querycmd is expected to be a command with arguments
         _comp_compgen -a split -- "$($querycmd |
-            command sed -n '2,$s|^\([^[:space:]]\{1,\}\).*|\1|p')"
+            command gsed -n '2,$s|^\([^[:space:]]\{1,\}\).*|\1|p')"
     fi
 }
 
@@ -120,7 +120,7 @@ _comp_cmd_mutt__filedir()
     _comp_cmd_mutt__get_muttrc
     muttrc=$REPLY
     if [[ $cur == [=+]* ]]; then
-        folder="$("$muttcmd" -F "$muttrc" -Q folder 2>/dev/null | command sed -e 's|^folder=\"\(.*\)\"$|\1|')"
+        folder="$("$muttcmd" -F "$muttrc" -Q folder 2>/dev/null | command gsed -e 's|^folder=\"\(.*\)\"$|\1|')"
         [[ $folder ]] || folder=~/Mail
 
         # Match any file in $folder beginning with $cur
@@ -131,7 +131,7 @@ _comp_cmd_mutt__filedir()
         return
     elif [[ $cur == !* ]]; then
         spoolfile="$("$muttcmd" -F "$muttrc" -Q spoolfile 2>/dev/null |
-            command sed -e 's|^spoolfile=\"\(.*\)\"$|\1|')"
+            command gsed -e 's|^spoolfile=\"\(.*\)\"$|\1|')"
         if [[ $spoolfile ]]; then
             _comp_dequote "\"$spoolfile\"" && spoolfile=$REPLY
             cur=$spoolfile${cur:1}
diff -pruN bash-completion-2.15.0.old/completions/mysql bash-completion-2.15.0/completions/mysql
--- bash-completion-2.15.0.old/completions/mysql	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/mysql	2024-11-30 21:20:52.107997324 +0100
@@ -35,7 +35,7 @@ _comp_cmd_mysql()
             ;;
         --database | -${noargopts}D)
             _comp_compgen_split -- "$(mysqlshow 2>/dev/null |
-                command sed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
+                command gsed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
             return
             ;;
 
@@ -102,7 +102,7 @@ _comp_cmd_mysql()
     esac
 
     _comp_compgen_split -- "$(mysqlshow 2>/dev/null |
-        command sed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
+        command gsed -ne '2d' -e 's/^|.\([^|]*\)|.*/\1/p')"
 } &&
     complete -F _comp_cmd_mysql mysql
 
diff -pruN bash-completion-2.15.0.old/completions/ncftp bash-completion-2.15.0/completions/ncftp
--- bash-completion-2.15.0.old/completions/ncftp	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ncftp	2024-11-30 21:20:52.135565910 +0100
@@ -17,7 +17,7 @@ _comp_cmd_ncftp()
     fi
 
     if [[ $cword -eq 1 && -f ~/.ncftp/bookmarks ]]; then
-        _comp_compgen_split -- "$(command sed -ne \
+        _comp_compgen_split -- "$(command gsed -ne \
             's/^\([^,]\{1,\}\),.*$/\1/p' ~/.ncftp/bookmarks)"
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/nmap bash-completion-2.15.0/completions/nmap
--- bash-completion-2.15.0.old/completions/nmap	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/nmap	2024-11-30 21:20:52.226872345 +0100
@@ -36,7 +36,7 @@ _comp_cmd_nmap()
         # strip everything following a non-option name or = char
         # TODO: should expand -T<0-5> to -T0 ... -T5
         _comp_compgen_split -- "$(
-            "$1" --help 2>&1 | command sed \
+            "$1" --help 2>&1 | command gsed \
                 -e "s/:.*$//" \
                 -e "s/=.*$/=/" \
                 -e "s/;[[:space:]]*-/ -/g" \
diff -pruN bash-completion-2.15.0.old/completions/openssl bash-completion-2.15.0/completions/openssl
--- bash-completion-2.15.0.old/completions/openssl	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/openssl	2024-11-30 21:20:52.046932270 +0100
@@ -33,8 +33,8 @@ _comp_cmd_openssl__compgen_digests()
             _comp_awk '/^-.*[ \t]to use the .* message digest algorithm/ { print $1 }'
     )"
     _comp_compgen -ac "${cur#-}" split -P "-" -- "$("$1" help 2>&1 |
-        command sed -ne '/^Message Digest commands/,/^[[:space:]]*$/p' |
-        command sed -e 1d)"
+        command gsed -ne '/^Message Digest commands/,/^[[:space:]]*$/p' |
+        command gsed -e 1d)"
 }
 
 _comp_cmd_openssl()
@@ -46,7 +46,7 @@ _comp_cmd_openssl()
 
     if ((cword == 1)); then
         local commands
-        commands="$("$1" help 2>&1 | command sed -e '/commands\|help:/d')"
+        commands="$("$1" help 2>&1 | command gsed -e '/commands\|help:/d')"
         _comp_compgen -- -W "$commands"
     else
         command=${words[1]}
diff -pruN bash-completion-2.15.0.old/completions/pdftotext bash-completion-2.15.0/completions/pdftotext
--- bash-completion-2.15.0.old/completions/pdftotext	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pdftotext	2024-11-30 21:20:52.394866709 +0100
@@ -12,7 +12,7 @@ _comp_cmd_pdftotext()
             ;;
         -enc)
             _comp_compgen_split -- "$("$1" -listenc 2>/dev/null |
-                command sed -e 1d)"
+                command gsed -e 1d)"
             return
             ;;
         -eol)
diff -pruN bash-completion-2.15.0.old/completions/perl bash-completion-2.15.0/completions/perl
--- bash-completion-2.15.0.old/completions/perl	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/perl	2024-11-30 21:20:51.858413689 +0100
@@ -131,7 +131,7 @@ _comp_cmd_perldoc()
             _comp_cmd_perl__helper "" perldocs
             if [[ $cur == p* ]]; then
                 _comp_compgen -a split -- "$(PERLDOC_PAGER=cat "$1" -u perl |
-                    command sed -ne '/perl.*Perl overview/,/perlwin32/p' |
+                    command gsed -ne '/perl.*Perl overview/,/perlwin32/p' |
                     _comp_awk 'NF >= 2 && $1 ~ /^perl/ { print $1 }')"
             fi
         fi
diff -pruN bash-completion-2.15.0.old/completions/pgrep bash-completion-2.15.0/completions/pgrep
--- bash-completion-2.15.0.old/completions/pgrep	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pgrep	2024-11-30 21:20:52.423741564 +0100
@@ -38,7 +38,7 @@ _comp_cmd_pgrep()
         --nslist)
             _comp_compgen -c "${cur##*,}" split -F $' \t\n,' -- "$(
                 "$1" --help 2>&1 |
-                    command sed -ne 's/^[[:space:]]*Available namespaces://p'
+                    command gsed -ne 's/^[[:space:]]*Available namespaces://p'
             )" &&
                 _comp_delimited , -W '"${COMPREPLY[@]}"'
             return
@@ -48,7 +48,7 @@ _comp_cmd_pgrep()
     if [[ $cur == -* ]]; then
         _comp_compgen_help ||
             _comp_compgen_usage - <<<"$("$1" --usage 2>&1 |
-                command sed -e "s/\[-signal\]//" -e "s/\[-SIGNAL\]//")"
+                command gsed -e "s/\[-signal\]//" -e "s/\[-SIGNAL\]//")"
         [[ $cword -eq 1 && $1 == *pkill ]] && _comp_compgen -a signals -
         return
     fi
diff -pruN bash-completion-2.15.0.old/completions/pkgadd bash-completion-2.15.0/completions/pkgadd
--- bash-completion-2.15.0.old/completions/pkgadd	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pkgadd	2024-11-30 21:20:51.956972905 +0100
@@ -48,7 +48,7 @@ _comp_cmd_pkgadd()
                     local REPLY
                     _comp_dequote "$device"
                     _comp_split -l pkginst_list "$(strings "${REPLY-}" |
-                        command sed -n 's/^PKG=//p' | sort -u)"
+                        command gsed -n 's/^PKG=//p' | sort -u)"
                 fi
                 ((${#pkginst_list[@]})) &&
                     _comp_compgen -- -W '"${pkginst_list[@]}"'
diff -pruN bash-completion-2.15.0.old/completions/pngfix bash-completion-2.15.0/completions/pngfix
--- bash-completion-2.15.0.old/completions/pngfix	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pngfix	2024-11-30 21:20:52.049224557 +0100
@@ -15,7 +15,7 @@ _comp_cmd_pngfix()
             ;;
         --strip)
             _comp_compgen_split -F '|' -- "$("$1" --help 2>&1 |
-                command sed -ne 's/.*--strip=\[\([^]]*\)\].*/\1/p')"
+                command gsed -ne 's/.*--strip=\[\([^]]*\)\].*/\1/p')"
             return
             ;;
     esac
diff -pruN bash-completion-2.15.0.old/completions/postcat bash-completion-2.15.0/completions/postcat
--- bash-completion-2.15.0.old/completions/postcat	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/postcat	2024-11-30 21:20:52.336789302 +0100
@@ -23,7 +23,7 @@ _comp_cmd_postcat()
     done
     if [[ $qfile ]]; then
         _comp_compgen_split -- "$(mailq 2>/dev/null |
-            command sed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
+            command gsed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
         return
     fi
 
diff -pruN bash-completion-2.15.0.old/completions/postsuper bash-completion-2.15.0/completions/postsuper
--- bash-completion-2.15.0.old/completions/postsuper	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/postsuper	2024-11-30 21:20:52.139032870 +0100
@@ -12,17 +12,17 @@ _comp_cmd_postsuper()
             ;;
         -[dr])
             _comp_compgen_split -- "ALL $(mailq 2>/dev/null |
-                command sed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
+                command gsed -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* !].*$//')"
             return
             ;;
         -h)
             _comp_compgen_split -- "ALL $(mailq 2>/dev/null |
-                command sed \
+                command gsed \
                     -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; s/[* ].*$//; /!$/d')"
             return
             ;;
         -H)
-            _comp_compgen_split -- "ALL $(mailq 2>/dev/null | command sed \
+            _comp_compgen_split -- "ALL $(mailq 2>/dev/null | command gsed \
                 -e '1d; $d; /^[^0-9A-Z]/d; /^$/d; /^[0-9A-Z]*[* ]/d; s/!.*$//')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/povray bash-completion-2.15.0/completions/povray
--- bash-completion-2.15.0.old/completions/povray	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/povray	2024-11-30 21:20:52.337951598 +0100
@@ -23,7 +23,7 @@ _comp_cmd_povray()
             # guess what output file type user may want
             case $(
                 IFS=$'\n'
-                command grep '^[-+]F' <<<"${words[*]}"
+                command ggrep '^[-+]F' <<<"${words[*]}"
             ) in
                 [-+]FN) oext=png ;;
                 [-+]FP) oext=ppm ;;
@@ -48,7 +48,7 @@ _comp_cmd_povray()
             cur="${povcur#*\[}"
             pfx="${povcur%\["$cur"}" # prefix == filename
             [[ -f $pfx && -r $pfx ]] || return
-            _comp_compgen_split -l -- "$(command sed -ne \
+            _comp_compgen_split -l -- "$(command gsed -ne \
                 's/^[[:space:]]*\[\([^]]*\]\).*$/\1/p' -- "$pfx")" &&
                 # to prevent [bar] expand to nothing.  can be done more easily?
                 _comp_compgen -Rv COMPREPLY -- -P "${pfx}[" -W '"${COMPREPLY[@]}"'
diff -pruN bash-completion-2.15.0.old/completions/ps bash-completion-2.15.0/completions/ps
--- bash-completion-2.15.0.old/completions/ps	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ps	2024-11-30 21:20:52.349300526 +0100
@@ -61,7 +61,7 @@ _comp_cmd_ps()
             "$1" --help
             "$1" --help all
         } 2>/dev/null |
-            command sed -e "s/, [A-Za-z],/,/")" ||
+            command gsed -e "s/, [A-Za-z],/,/")" ||
             _comp_compgen_usage
     fi
 } &&
diff -pruN bash-completion-2.15.0.old/completions/puppet bash-completion-2.15.0/completions/puppet
--- bash-completion-2.15.0.old/completions/puppet	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/puppet	2024-11-30 21:20:52.062177705 +0100
@@ -24,7 +24,7 @@ _comp_cmd_puppet__certs()
     if [[ $1 == --all ]]; then
         cert_list=$(
             $puppetca --list --all |
-                command sed -e 's/^[+-]\{0,1\}[[:space:]]*\([^[:space:]]\{1,\}\)[[:space:]]\{1,\}.*$/\1/'
+                command gsed -e 's/^[+-]\{0,1\}[[:space:]]*\([^[:space:]]\{1,\}\)[[:space:]]\{1,\}.*$/\1/'
         )
     else
         cert_list=$("$puppetca" --list)
@@ -35,7 +35,7 @@ _comp_cmd_puppet__certs()
 _comp_cmd_puppet__types()
 {
     puppet_types=$(
-        puppet describe --list | command sed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
+        puppet describe --list | command gsed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
     )
     _comp_compgen -a -- -W "$puppet_types"
 }
@@ -47,7 +47,7 @@ _comp_cmd_puppet__references()
         puppetdoc=puppetdoc
 
     puppet_doc_list=$(
-        $puppetdoc --list | command sed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
+        $puppetdoc --list | command gsed -e 's/^\([^[:space:]]\{1,\}\).*$/\1/'
     )
     _comp_compgen -a -- -W "$puppet_doc_list"
 }
diff -pruN bash-completion-2.15.0.old/completions/pydoc bash-completion-2.15.0/completions/pydoc
--- bash-completion-2.15.0.old/completions/pydoc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pydoc	2024-11-30 21:20:52.321543150 +0100
@@ -16,7 +16,7 @@ _comp_cmd_pydoc()
     esac
 
     if [[ $cur == -* ]]; then
-        _comp_compgen_help - <<<"$("$1" | command sed -e "s/^pydoc3\{0,1\} //")"
+        _comp_compgen_help - <<<"$("$1" | command gsed -e "s/^pydoc3\{0,1\} //")"
         return
     fi
 
@@ -32,7 +32,7 @@ _comp_cmd_pydoc()
     # Note that we don't do "pydoc modules" as it is known to hang on
     # some systems; _comp_xfunc_python_modules tends to work better and faster.
     _comp_compgen -a split -- "$("$1" keywords topics |
-        command sed -e '/^Here/d')"
+        command gsed -e '/^Here/d')"
 
     _comp_compgen -a filedir py
 } &&
diff -pruN bash-completion-2.15.0.old/completions/pylint bash-completion-2.15.0/completions/pylint
--- bash-completion-2.15.0.old/completions/pylint	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pylint	2024-11-30 21:20:52.054987507 +0100
@@ -11,10 +11,10 @@ _comp_cmd_pylint__message_ids()
     local msgs="$(
         set -o pipefail
         "$1" --list-msgs-enabled 2>/dev/null |
-            command sed -ne "$filter" |
-            command sed -ne 's/^[[:space:]]\{1,\}\([a-z-]\{6,\}\).*/\1/p' ||
+            command gsed -ne "$filter" |
+            command gsed -ne 's/^[[:space:]]\{1,\}\([a-z-]\{6,\}\).*/\1/p' ||
             "$1" --list-msgs 2>/dev/null |
-            command sed -ne 's/^:\([a-z-]\{6,\}\).*/\1/p'
+            command gsed -ne 's/^:\([a-z-]\{6,\}\).*/\1/p'
     )"
     _comp_delimited , -W "$msgs"
 }
diff -pruN bash-completion-2.15.0.old/completions/pytest bash-completion-2.15.0/completions/pytest
--- bash-completion-2.15.0.old/completions/pytest	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/pytest	2024-11-30 21:20:52.303320826 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_pytest__option_choice_args()
 {
     local modes=$("$1" "$2=bash-completion-nonexistent" 2>&1 |
-        command sed -e 's/[^[:space:][:alnum:]_-]\{1,\}//g' \
+        command gsed -e 's/[^[:space:][:alnum:]_-]\{1,\}//g' \
             -ne 's/.*choose from //p')
     _comp_compgen -a -- -W '$modes'
 }
diff -pruN bash-completion-2.15.0.old/completions/qdbus bash-completion-2.15.0/completions/qdbus
--- bash-completion-2.15.0.old/completions/qdbus	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/qdbus	2024-11-30 21:20:52.004080799 +0100
@@ -6,7 +6,7 @@ _comp_cmd_qdbus()
     _comp_initialize -- "$@" || return
 
     _comp_compgen_split -- "$(
-        command "${words[@]::cword}" 2>/dev/null | command sed 's/(.*)//'
+        command "${words[@]::cword}" 2>/dev/null | command gsed 's/(.*)//'
     )"
 } &&
     complete -F _comp_cmd_qdbus qdbus dcop
diff -pruN bash-completion-2.15.0.old/completions/reportbug bash-completion-2.15.0/completions/reportbug
--- bash-completion-2.15.0.old/completions/reportbug	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/reportbug	2024-11-30 21:20:51.983019078 +0100
@@ -33,7 +33,7 @@ _comp_cmd_reportbug()
             ;;
         --tag | --ui | --interface | --type | --bts | --severity | --mode | -${noargopts}[TutBS])
             _comp_compgen_split -- "$("$1" "$prev" help 2>&1 |
-                command sed -ne '/^[[:space:]]/p')"
+                command gsed -ne '/^[[:space:]]/p')"
             return
             ;;
         --editor | --mua | --mbox-reader-cmd | -${noargopts}e)
diff -pruN bash-completion-2.15.0.old/completions/rpcdebug bash-completion-2.15.0/completions/rpcdebug
--- bash-completion-2.15.0.old/completions/rpcdebug	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/rpcdebug	2024-11-30 21:20:51.938678957 +0100
@@ -13,7 +13,7 @@ _comp_cmd_rpcdebug__flags()
 
     if [[ $module ]]; then
         _comp_compgen_split -- "$(rpcdebug -vh 2>&1 |
-            command sed -ne 's/^'"$module"'[[:space:]]\{1,\}//p')"
+            command gsed -ne 's/^'"$module"'[[:space:]]\{1,\}//p')"
     fi
 }
 
diff -pruN bash-completion-2.15.0.old/completions/rpm bash-completion-2.15.0/completions/rpm
--- bash-completion-2.15.0.old/completions/rpm	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/rpm	2024-11-30 21:20:52.176504056 +0100
@@ -13,7 +13,7 @@ _comp_cmd_rpm__compgen_installed_package
     if [[ -r /var/log/rpmpkgs &&
         /var/log/rpmpkgs -nt /var/lib/rpm/Packages ]]; then
         # using RHL 7.2 or later - this is quicker than querying the DB
-        _comp_compgen_split -- "$(command sed -ne \
+        _comp_compgen_split -- "$(command gsed -ne \
             's|^\([^[:space:]]\{1,\}\)-[^[:space:]-]\{1,\}-[^[:space:]-]\{1,\}\.rpm$|\1|p' \
             /var/log/rpmpkgs)"
     elif type rpmqpack &>/dev/null; then
@@ -37,7 +37,7 @@ _comp_cmd_rpm__groups()
 _comp_cmd_rpm__macros()
 {
     # get a list of macros
-    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command sed -ne \
+    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command gsed -ne \
         's/^-\{0,1\}[0-9]\{1,\}[:=][[:space:]]\{1,\}\([^[:space:](]\{3,\}\).*/%\1/p')"
 }
 
@@ -46,7 +46,7 @@ _comp_cmd_rpm__buildarchs()
 {
     # Case-insensitive BRE to match "compatible build archs"
     local regex_header='[cC][oO][mM][pP][aA][tT][iI][bB][lL][eE][[:space:]]\{1,\}[bB][uU][iI][lL][dD][[:space:]]\{1,\}[aA][rR][cC][hH][sS]'
-    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command sed -ne \
+    _comp_compgen_split -- "$("${1:-rpm}" --showrc | command gsed -ne \
         "s/^[[:space:]]*${regex_header}[[:space:]]*:[[:space:]]*\(.*\)/\1/p")"
 }
 
@@ -120,7 +120,7 @@ _comp_cmd_rpm()
                 esac
                 _comp_compgen_split -l -- "$("$1" -qa --nodigest \
                     --nosignature --queryformat="\"$fmt\\n\"" 2>/dev/null |
-                    command grep -vF '(none)')"
+                    command ggrep -vF '(none)')"
             fi
             return
             ;;
@@ -281,7 +281,7 @@ _comp_cmd_rpmbuild()
             _comp_cmd_rpm__configdir
             if [[ $cfgdir ]]; then
                 _comp_compgen_split -- "$(command ls "$cfgdir" 2>/dev/null |
-                    command sed -ne 's/^brp-//p')"
+                    command gsed -ne 's/^brp-//p')"
             fi
             ;;
         --define | --with | --without | -${noargopts}D)
diff -pruN bash-completion-2.15.0.old/completions/rsync bash-completion-2.15.0/completions/rsync
--- bash-completion-2.15.0.old/completions/rsync	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/rsync	2024-11-30 21:20:52.166080144 +0100
@@ -85,7 +85,7 @@ _comp_cmd_rsync()
             # meaning before v3.2.0) contain the following unusual line in
             # --help:
             # "(-h) --help                  show this help (-h is --help only if used alone)"
-            _comp_compgen -Rv tmp help - <<<"$("$1" --help 2>&1 | command sed -e 's/^([^)]*)//')"
+            _comp_compgen -Rv tmp help - <<<"$("$1" --help 2>&1 | command gsed -e 's/^([^)]*)//')"
 
             _comp_compgen -- -W '"${tmp[@]}"
                 --daemon --old-d{,irs}
@@ -102,7 +102,7 @@ _comp_cmd_rsync()
                 fi
             done
             if [[ $shell == ssh ]]; then
-                local rsync_version=$("$1" --version 2>/dev/null | sed -n '1s/.*rsync *version \([0-9.]*\).*/\1/p')
+                local rsync_version=$("$1" --version 2>/dev/null | gsed -n '1s/.*rsync *version \([0-9.]*\).*/\1/p')
                 _comp_cmd_rsync__vercomp "$rsync_version" "3.2.4"
                 if (($? == 2)); then
                     _comp_compgen -x scp remote_files
diff -pruN bash-completion-2.15.0.old/completions/sbopkg bash-completion-2.15.0/completions/sbopkg
--- bash-completion-2.15.0.old/completions/sbopkg	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/sbopkg	2024-11-30 21:20:52.372973228 +0100
@@ -61,7 +61,7 @@ _comp_cmd_sbopkg()
     local file=${REPO_ROOT-}/${REPO_NAME-}/${REPO_BRANCH-}/SLACKBUILDS.TXT
     [[ -f $file && -r $file ]] || return
 
-    _comp_compgen_split -l -- "$(command sed -ne "s/^SLACKBUILD NAME: //p" \
+    _comp_compgen_split -l -- "$(command gsed -ne "s/^SLACKBUILD NAME: //p" \
         "$file")"
     _comp_compgen -aC "$QUEUEDIR" -- -f -X "!*.sqf"
 } &&
diff -pruN bash-completion-2.15.0.old/completions/screen bash-completion-2.15.0/completions/screen
--- bash-completion-2.15.0.old/completions/screen	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/screen	2024-11-30 21:20:52.065753988 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_screen__sessions()
 {
     local -a sessions
-    _comp_split sessions "$(command screen -ls | command sed -ne \
+    _comp_split sessions "$(command screen -ls | command gsed -ne \
         's|^\t\{1,\}\([0-9]\{1,\}\.[^\t]\{1,\}\).*'"$1"'.*$|\1|p')" || return
     if [[ $cur == +([0-9])?(.*) ]]; then
         # Complete sessions including pid prefixes
diff -pruN bash-completion-2.15.0.old/completions/shellcheck bash-completion-2.15.0/completions/shellcheck
--- bash-completion-2.15.0.old/completions/shellcheck	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/shellcheck	2024-11-30 21:20:52.082836598 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_shellcheck__optarg()
 {
     local args=$("$1" --help 2>&1 |
-        command sed -e 's/,/ /g' -ne 's/^.*'"$2"'\>.*(\([^)]*\)).*/\1/p')
+        command gsed -e 's/,/ /g' -ne 's/^.*'"$2"'\>.*(\([^)]*\)).*/\1/p')
     _comp_compgen -a -- -W '$args'
 }
 
@@ -23,8 +23,8 @@ _comp_cmd_shellcheck()
             ;;
         --format | -${noargopts}f)
             local args=$("$1" --format=nonexistent-format /dev/null 2>&1 |
-                command sed -ne '/^Supported formats/,//p' |
-                command sed -ne '/^[[:space:]]/p')
+                command gsed -ne '/^Supported formats/,//p' |
+                command gsed -ne '/^[[:space:]]/p')
             _comp_compgen -- -W '$args'
             return
             ;;
